import pandas as pd
import os

ele_energy = []
com_energy = []

element = os.listdir('../Input/Sn-O/element')
competing_phase = os.listdir('../Input/Sn-O/competing_phase')

path_ori = os.getcwd()

for i in range(len(element)):
    path = path_ori  +'/../Input/Sn-O/element/'+ element[i]
    os.chdir(path)
    get_energy = "grep 'free energy    TOTEN  ='" + ' ' + 'OUTCAR'
    z = os.popen(get_energy).readlines()
    r = float(z[-1].split(' ')[-2])
    number = float(open('POSCAR').readlines()[6].split(' ')[-1])
    ele_energy.append(r/number)

ele_dict =  dict(zip(element,ele_energy))

for i in range(len(competing_phase)):
    path = path_ori  +'/../Input/Sn-O/competing_phase/'+ competing_phase[i]
    os.chdir(path)
    get_energy = "grep 'free energy    TOTEN  ='" + ' ' + 'OUTCAR'
    z = os.popen(get_energy).readlines()
    r = float(z[-1].split(' ')[-2])
    cele = open('POSCAR').readlines()[5].split()
    cnum = open('POSCAR').readlines()[6].split()
    a = 0.0
    for i in range(len(cele)):
        a = a + float(ele_dict[cele[i]])*float(cnum[i])
    
    com_energy.append(r- a)

os.chdir(path_ori)
df = pd.DataFrame()
df['format'] = competing_phase + element
df['energy'] = com_energy + [0]*len(ele_energy)
df.to_csv('Sn-O.csv')
